Index: trunk/wikifiles/plastic-slices/rspecs/plastic-110/openflow-washington-plastic-110.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-110/openflow-washington-plastic-110.rspec	(revision 801)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-110/openflow-washington-plastic-110.rspec	(revision 1201)
@@ -1,37 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at Washington used by the
-plastic-110 slice.
+This rspec will reserve the OpenFlow resources at Washington
+used by the plastic-110 slice.
 
-AM: https://of.cs.washington.edu:1443/openflow/gapi/
+AM: https://of.cs.washington.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 110 at Washington."
+                   email="jbs@bbn.com">
 
-  <project name="plastic-110@washington" description="Plastic Slices slice 110 at Washington"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33110" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33110" name="naxos-33110" description="The FlowVisor on naxos, for plastic-110." expiry="1313380800"/>
+    <openflow:group name="washington-1750-nlr-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:of.cs.washington.edu+datapath+06:d6:00:23:47:c8:8c:40"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:of.cs.washington.edu+authority+am">
+        <openflow:port num="20"/>
+        <openflow:port num="23"/>
+        <openflow:port num="24"/>
+      </openflow:datapath>
+    </openflow:group>
 
-  <flowspace>
- 
-    <port urn="urn:publicid:IDN+washington:expedient:openflow+switch:06:d6:00:23:47:c8:8c:40+port:20"/> 
-    <port urn="urn:publicid:IDN+washington:expedient:openflow+switch:06:d6:00:23:47:c8:8c:40+port:23"/> 
-    <port urn="urn:publicid:IDN+washington:expedient:openflow+switch:06:d6:00:23:47:c8:8c:40+port:24"/> 
+    <openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.110.0" to="10.42.110.255"/>
+      <openflow:use-group name="washington-1750-nlr-3715" />
 
-  </flowspace>
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.110.0/24"/>
+        <openflow:nw_src value="10.42.110.0/24"/>
+      </openflow:packet>
 
-  <flowspace>
-     <port urn="urn:publicid:IDN+washington:expedient:openflow+switch:06:d6:00:23:47:c8:8c:40+port:20"/> 
-    <port urn="urn:publicid:IDN+washington:expedient:openflow+switch:06:d6:00:23:47:c8:8c:40+port:23"/> 
-    <port urn="urn:publicid:IDN+washington:expedient:openflow+switch:06:d6:00:23:47:c8:8c:40+port:24"/> 
+    </openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.110.0" to="10.42.110.255"/>
+  </openflow:sliver>
 
-  </flowspace>
-
-</resv_rspec>
+</rspec>
